Bug 1813674

Summary: python-requests-toolbelt: provide Python 3 package for EPEL 7
Product: [Fedora] Fedora EPEL Reporter: Felix Schwarz <fschwarz>
Component: python-requests-toolbeltAssignee: Parag Nemade <pnemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: igor.raits, pnemade
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-requests-toolbelt-0.8.0-3.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-14 09:33:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1823097    
Bug Blocks: 1813670    

Description Felix Schwarz 2020-03-15 11:35:31 UTC
certbot will switch to Python 3 sometime in the future. If we want to ship the same version in EPEL 7 we need to provide a Python 3 version of python-acme (and thus python-requests-toolbelt).

I'd like to add that I'm not yet sure if we can get all necessary packages for Python 3 certbot into EPEL 7. I filed a couple of bugs to get a comprehensive overview. Also I hope that others find it easier to join my efforts - I did "acquire" certbot maintainership by accident so any extra help would really appreciated.

Comment 1 Felix Schwarz 2020-04-11 04:55:56 UTC
ping?

Please let me know if I should submit a merge request via pagure.

Comment 2 Parag Nemade 2020-04-11 05:55:23 UTC
Yes Please. Submit your pull-request via pagure.

Comment 3 Felix Schwarz 2020-04-11 15:28:55 UTC
Will do. I think you do not merge the EPEL 7 branch with master, right? So I'll just create individual commits for EPEL 7?

Comment 4 Felix Schwarz 2020-04-13 16:47:32 UTC
It seems as if the test suite for 0.8.0 does not pass without internet access. Would you mind if my pull requests also updates the EPEL 7 version to 0.9.1?

Comment 5 Felix Schwarz 2020-04-13 17:56:18 UTC
Sorry for spamming: seems like the Python 2 tests do not pass with python-requests < 2.8.0 but EPEL 7 ships only requests 2.6.0. I'll look into that.

Comment 7 Fedora Update System 2020-05-02 06:00:29 UTC
FEDORA-EPEL-2020-b8c92284ca has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-b8c92284ca

Comment 8 Fedora Update System 2020-05-14 09:33:06 UTC
FEDORA-EPEL-2020-b8c92284ca has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.